Look for \S in string then ; so get "23/32" then further apart 23 32 and replace both. Then rebuild string. I dont have anything for task.
In text if you have used extended character like ¼ you could look for a (chr x) but font style may vary. ps ¼ is (chr 188)
Providing you have an object supporting an area a field will update automatically when you change a shape, using lisp to create the field formula. So many area -> field lisp.
Did you check the Archi project defaults did that help ?
This should do it.
(setq obj (vlax-ename->vla-object (car (entsel "\nSelect Line : ")))
len (rtos (LM:roundm (vlax-get-property obj 'length) 5) 2 0)
)
;; Round Multiple - Lee Mac
;; Rounds 'n' to the nearest multiple of 'm'
(defun LM:roundm ( n m )
(* m (fix ((if (minusp n) - +) (/ n (float m)) 0.5)))
)
--edit
I'm getting nil for pt if your calculating midpoint try this.
(setq pt (mapcar '/ (mapcar '+ (vlax-get obj 'startpoint) (vlax-get obj 'endpoint)) '(2 2)))